Update a matter type.
curl --request PATCH \
--url https://api.case.dev/matters/v1/types/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"instructions": "<string>",
"default_agent_type_id": "<string>",
"review_agent_type_id": "<string>",
"orchestration_mode": "auto",
"intake_requirements": [
"<string>"
],
"review_criteria": [
"<string>"
],
"exit_criteria": [
"<string>"
],
"skill_refs": [
"<string>"
],
"default_metadata": {},
"default_work_items": [
{}
],
"is_active": true
}
'API key starting with sk_case_
auto, human Matter type updated
Was this page helpful?
curl --request PATCH \
--url https://api.case.dev/matters/v1/types/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"instructions": "<string>",
"default_agent_type_id": "<string>",
"review_agent_type_id": "<string>",
"orchestration_mode": "auto",
"intake_requirements": [
"<string>"
],
"review_criteria": [
"<string>"
],
"exit_criteria": [
"<string>"
],
"skill_refs": [
"<string>"
],
"default_metadata": {},
"default_work_items": [
{}
],
"is_active": true
}
'